import { PropsWithChildren } from 'react';
import StyledButton from './NsButton.styled';
import { NsButtonProps } from './types.d';

const NsButton = ({ children, ...props }: PropsWithChildren<NsButtonProps>) => {
    return (
        <StyledButton {...props} disableRipple>
            {children}
        </StyledButton>
    );
};

export default NsButton;
