import type { Meta, StoryObj } from '@storybook/react';
import { NsBgCard } from '../';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';

type ComponentType = typeof NsBgCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsBgCard,
    title: 'Components/NsCard/NsBgCard',
    argTypes: {},
    args: {
        title: 'ageLOC LumiSpa',
        backgroundImageUrl: 'https://media.nuskin.com/m/3604b5202b0b64c6/webimage-brand-lumispa-optweb.png',
    },
    decorators: [withCenterDecorator],
} as MetaStory;

export const BgCard: Story = {};
