import ArrowDown from './icons/ArrowDown';
import ArrowUp from './icons/ArrowUp';
import ArrowLeft from './icons/ArrowLeft';
import ArrowRight from './icons/ArrowRight';
import Cart from './icons/Cart';
import CartBadge from './icons/CartBadge';
import InfoFilled from './icons/InfoFilled';
import InfoOutlined from './icons/InfoOutlined';
import CheckShield from './icons/CheckShield';
import CheckVerified from './icons/CheckVerified';
import SuccessIcon from './icons/SuccessIcon';
import ErrorIcon from './icons/ErrorIcon';
import TrashIcon from './icons/TrashIcon';
import SearchIcon from './icons/SearchIcon';
import SlashIcon from './icons/SlashIcon';
import Home from './icons/home';
import AlertErrorIcon from './icons/AlertErrorIcon';
import WarningIcon from './icons/WarningIcon';
import CloseIcon from './icons/CloseIcon';
import UserIcon from './icons/UserIcon';
import HamburgerIcon from './icons/HamburgerIcon';

const IconVariants = {
    arrowDown: ArrowDown,
    arrowUp: ArrowUp,
    arrowLeft: ArrowLeft,
    arrowRight: ArrowRight,
    alertError: AlertErrorIcon,
    cart: Cart,
    cartBadge: CartBadge,
    close: CloseIcon,
    checkShield: CheckShield,
    checkVerified: CheckVerified,
    error: ErrorIcon,
    hamburgerIcon: HamburgerIcon,
    home: Home,
    infoFilled: InfoFilled,
    infoOutlined: InfoOutlined,
    search: SearchIcon,
    success: SuccessIcon,
    slash: SlashIcon,
    trash: TrashIcon,
    userIcon: UserIcon,
    warning: WarningIcon,
};

export default IconVariants;
