/* eslint-disable max-len */

import { SvgIconProps, SvgIcon } from '@mui/material';

const CartBadge = (props: SvgIconProps) => {
    return (
        <SvgIcon
            viewBox="0 0 30 30"
            preserveAspectRatio="xMidYMid meet"
            focusable="false"
            {...props}
            data-testid="cartBadge"
        >
            <g
                id="cart-icon-badge"
                fill="none"
                strokeWidth="1"
                stroke="none"
                fillRule="evenodd"
                width="30px"
                height="30px"
            >
                <g id="Group" transform="translate(0.000000, 0.500000)" stroke="currentColor">
                    <circle id="Oval" cx="11" cy="21.5" r="1.5"></circle>
                    <circle id="Oval" cx="23" cy="21.5" r="1.5"></circle>
                    <polyline
                        id="Shape"
                        strokeLinecap="round"
                        points="0 -5.24580379e-15 3.5 -5.41233725e-15 9.5 18 23.5 18"
                    ></polyline>
                    <path
                        d="M8.5,14 L21.6400424,14 C22.9848342,14 24.1653247,13.1050925 24.5285445,11.8102811 L27,3"
                        id="Shape"
                        strokeLinecap="round"
                    ></path>
                </g>
            </g>
        </SvgIcon>
    );
};

export default CartBadge;
