import { FoundationTheme } from '@nuskin/foundation-theme';
import { NsIconVariants } from '.';

export type NsIconSizeType = 'small' | 'medium' | 'large' | 'xLarge';

export type NsIconNameType = keyof typeof NsIconVariants;
export type NsIconProps = {
    name: NsIconNameType;
    size?: NsIconSizeType;
    color?: FoundationTheme.PaletteColors;
    testId?: string;
    className?: string;
    colorOverride?: string;
};
