import { AdditionalProps } from '../common.types';

export type NsRadioGroupProps = AdditionalProps & {
    disable : boolean ;
    name : string; 
    additionalSlot : string;
    label : string ;
    items: RadioItems[] ;
    color : string;
    size : number;
    labelFontSize:number,
    onChange : () => void;
}

export type RadioItems = {
    label : string ; 
    value :string | number ;
    id: string | number;
}