import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsToggleSection } from '../..';

type ComponentType = typeof NsToggleSection;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Accordion/NsToggleSection',
    component: NsToggleSection,
    decorators: [withCenterDecorator],
    argTypes: {
        title: { control: 'string' },
    },
    args: {
        title: 'Nuskin',
        children: 'Nuskin Details',

    },
} as MetaStory;

export const DefaultAccordion: Story = {};
